summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-04-04 07:44:27 +0200
committerHans de Graaff <graaff@gentoo.org>2021-04-04 08:53:51 +0200
commit022e0eccda5d6318bdc38f0d322e7bb34a24f97d (patch)
treeaeb2c12d94c2d91bceff6e52bfcb44c5632428df
parentdev-ruby/addressable: add ruby30 (diff)
downloadgentoo-022e0eccda5d6318bdc38f0d322e7bb34a24f97d.tar.gz
gentoo-022e0eccda5d6318bdc38f0d322e7bb34a24f97d.tar.bz2
gentoo-022e0eccda5d6318bdc38f0d322e7bb34a24f97d.zip
dev-ruby/unf_ext: add ruby30; fix extension
Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/unf_ext/unf_ext-0.0.7.7-r1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-ruby/unf_ext/unf_ext-0.0.7.7-r1.ebuild b/dev-ruby/unf_ext/unf_ext-0.0.7.7-r1.ebuild
new file mode 100644
index 00000000000..75f86896dae
--- /dev/null
+++ b/dev-ruby/unf_ext/unf_ext-0.0.7.7-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/unf_ext/extconf.rb)
+
+inherit ruby-fakegem multilib
+
+DESCRIPTION="Unicode Normalization Form support library for CRuby"
+HOMEPAGE="https://github.com/knu/ruby-unf_ext"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/test-unit-2.5.1-r1
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/,/end/ s:^:#:' Rakefile test/helper.rb || die
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 test/test_*.rb
+}